## org.apache.aries.subsystem.core.internal
Class BundleDirectory

    java.lang.Object
      org.apache.aries.subsystem.core.internal.BundleDirectory

All Implemented Interfaces:
  Iterable<org.apache.aries.util.filesystem.IFile>, org.apache.aries.util.filesystem.IDirectory, org.apache.aries.util.filesystem.IFile

    public class BundleDirectory

extends Object
implements org.apache.aries.util.filesystem.IDirectory

Constructor Summary
`BundleDirectory(org.osgi.framework.Bundle bundle)`

Method Summary
`org.apache.aries.util.filesystem.IDirectory` `convert()`
`org.apache.aries.util.filesystem.IDirectory` `convertNested()`
`org.apache.aries.util.filesystem.IFile` `getFile(String name)`
`long` `getLastModified()`
`String` `getName()`
`org.apache.aries.util.filesystem.IDirectory` `getParent()`
`org.apache.aries.util.filesystem.IDirectory` `getRoot()`
`long` `getSize()`
`boolean` `isDirectory()`
`boolean` `isFile()`
`boolean` `isRoot()`
`Iterator<org.apache.aries.util.filesystem.IFile>` `iterator()`
`List<org.apache.aries.util.filesystem.IFile>` `listAllFiles()`
`List<org.apache.aries.util.filesystem.IFile>` `listFiles()`
`InputStream` `open()`
`org.apache.aries.util.filesystem.ICloseableDirectory` `toCloseable()`
`URL` `toURL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleDirectory

    public BundleDirectory(org.osgi.framework.Bundle bundle)

Method Detail

### iterator

    public Iterator<org.apache.aries.util.filesystem.IFile> iterator()

  Specified by:
    `iterator` in interface `Iterable<org.apache.aries.util.filesystem.IFile>`

### convert

    public org.apache.aries.util.filesystem.IDirectory convert()

  Specified by:
    `convert` in interface `org.apache.aries.util.filesystem.IFile`

### convertNested

    public org.apache.aries.util.filesystem.IDirectory convertNested()

  Specified by:
    `convertNested` in interface `org.apache.aries.util.filesystem.IFile`

### getLastModified

    public long getLastModified()

  Specified by:
    `getLastModified` in interface `org.apache.aries.util.filesystem.IFile`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.apache.aries.util.filesystem.IFile`

### getParent

    public org.apache.aries.util.filesystem.IDirectory getParent()

  Specified by:
    `getParent` in interface `org.apache.aries.util.filesystem.IFile`

### getRoot

    public org.apache.aries.util.filesystem.IDirectory getRoot()

  Specified by:
    `getRoot` in interface `org.apache.aries.util.filesystem.IFile`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `org.apache.aries.util.filesystem.IFile`

### isDirectory

    public boolean isDirectory()

  Specified by:
    `isDirectory` in interface `org.apache.aries.util.filesystem.IFile`

### isFile

    public boolean isFile()

  Specified by:
    `isFile` in interface `org.apache.aries.util.filesystem.IFile`

### open

    public InputStream open()
                     throws IOException,
                            UnsupportedOperationException

  Specified by:
    `open` in interface `org.apache.aries.util.filesystem.IFile`
  Throws:
    `IOException`
    `UnsupportedOperationException`

### toURL

    public URL toURL()
              throws MalformedURLException

  Specified by:
    `toURL` in interface `org.apache.aries.util.filesystem.IFile`
  Throws:
    `MalformedURLException`

### getFile

    public org.apache.aries.util.filesystem.IFile getFile(String name)

  Specified by:
    `getFile` in interface `org.apache.aries.util.filesystem.IDirectory`

### isRoot

    public boolean isRoot()

  Specified by:
    `isRoot` in interface `org.apache.aries.util.filesystem.IDirectory`

### listAllFiles

    public List<org.apache.aries.util.filesystem.IFile> listAllFiles()

  Specified by:
    `listAllFiles` in interface `org.apache.aries.util.filesystem.IDirectory`

### listFiles

    public List<org.apache.aries.util.filesystem.IFile> listFiles()

  Specified by:
    `listFiles` in interface `org.apache.aries.util.filesystem.IDirectory`

### toCloseable

    public org.apache.aries.util.filesystem.ICloseableDirectory toCloseable()

  Specified by:
    `toCloseable` in interface `org.apache.aries.util.filesystem.IDirectory`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.